Bug 1261697 - (CVE-2015-5271) CVE-2015-5271 openstack-tripleo-heat-templates: unsafe pipeline ordering of swift staticweb middleware
CVE-2015-5271 openstack-tripleo-heat-templates: unsafe pipeline ordering of s...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150922,repor...
: Security
: 1261499 (view as bug list)
Depends On: 1261698 1272859 1272860 1272861
Blocks: 1259465
  Show dependency treegraph
 
Reported: 2015-09-09 22:00 EDT by Garth Mollett
Modified: 2016-04-26 09:31 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was discovered in the pipeline ordering of OpenStack Object Storage's staticweb middleware in the swiftproxy configuration generated from the openstack-tripleo-heat-templates package (OpenStack director). The staticweb middleware was incorrectly configured before the Identity Service, and under some conditions an attacker could use this flaw to gain unauthenticated access to private data.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 17:40:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1862 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux OpenStack Platform 7 director update 2015-10-08 12:05:50 EDT

  None (edit)
Description Garth Mollett 2015-09-09 22:00:14 EDT
A flaw was discovered in the pipeline ordering of the swift staticweb middleware in the swiftproxy config generated from the openstack-tripleo-heat-templates. The staticweb middleware was incorrectly configured before keystone and under some conditions may allow unauthenticated access to private data.


Acknowledgements:

This issue was discovered by Christian Schwede and Emilien Macchi of Red Hat.
Comment 2 Garth Mollett 2015-09-09 22:15:40 EDT
*** Bug 1261499 has been marked as a duplicate of this bug. ***
Comment 3 errata-xmlrpc 2015-10-08 08:18:29 EDT
This issue has been addressed in the following products:

  OpenStack 7.0 Director/Manager for RHEL 7

Via RHSA-2015:1862 https://access.redhat.com/errata/RHSA-2015:1862
Comment 6 Garth Mollett 2015-10-19 01:58:01 EDT
Created openstack-tripleo-heat-templates tracking bugs for this issue:

Affects: fedora-all [bug 1272860]

Note You need to log in before you can comment on or make changes to this bug.